using Amazon.Lambda.Core;
using HandlingEnumsInLambdaFunctions;

// Assembly attribute to enable the Lambda function's JSON input to be converted into a .NET class.
[assembly: LambdaSerializer(typeof(LambdaEnumSerializer))]

namespace HandlingEnumsInLambdaFunctions;

public class Function
{
    public string FunctionHandler(Car input, ILambdaContext context)
    {
        return input.ToString();
    }
}

public class Car
{
    public string Make { get; set; }
    public string Model { get; set; }
    public int Year { get; set; }
    public Style Style { get; set; }

    public override string ToString()
    {
        return $"Your car is a {Make} {Model} ({Style}), made in {Year}. xxx";
    }
}

public enum Style
{
    Coupe,
    Hatchback,
    Sedan,
    SUV,
    Truck
}
